<script>
function photoCompress(file, w, objDiv) {
    var ready = new FileReader();
    /*开始读取指定的Blob对象或File对象中的内容. 当读取操作完成时,readyState属性的值会成为DONE,如果设置了onloadend事件处理程序,则调用之.同时,result属性中将包含一个data: URL格式的字符串以表示所读取文件的内容.*/
    ready.readAsDataURL(file);
    ready.onload = function() {
        var re = this.result;
        canvasDataURL(re, w, objDiv);
    }
};
function canvasDataURL(path, obj, callback) {
    var img = new Image();
    img.src = path;
    img.onload = function() {
        var that = this;
        // 默认按比例压缩
        var w = that.width,
            h = that.height,
            scale = w / h;
        w = obj.width || w;
        h = obj.height || (w / scale);
        var quality = 0.5; // 默认图片质量为0.7
        //生成canvas
        var canvas = document.createElement('canvas');
        var ctx = canvas.getContext('2d');
        // 创建属性节点
        var anw = document.createAttribute("width");
        anw.nodeValue = w;
        var anh = document.createAttribute("height");
        anh.nodeValue = h;
        canvas.setAttributeNode(anw);
        canvas.setAttributeNode(anh);
        ctx.drawImage(that, 0, 0, w, h);
        // 图像质量
        if(obj.quality && obj.quality <= 1 && obj.quality > 0) {
            quality = obj.quality;
        }
        // quality值越小，所绘制出的图像越模糊
        var base64 = canvas.toDataURL('image/jpeg', quality);
        // 回调函数返回base64的值
        callback(base64);
    }
}
function convertBase64UrlToBlob(urlData) {
    var arr = urlData.split(','),
        mime = arr[0].match(/:(.*?);/)[1],
        bstr = atob(arr[1]),
        n = bstr.length,
        u8arr = new Uint8Array(n);
    while(n--) {
        u8arr[n] = bstr.charCodeAt(n);
    }
    return new Blob([u8arr], {
        type: mime
    });
}
layui.use('upload', function(){
  var $ = layui.jquery
  ,upload = layui.upload;
  
  //普通图片上传
  var uploadInst = upload.render({
    elem: '.iaspcms-siteconfig-upload'
    ,url: '?manage_uploadAvatar' //改成您自己的上传接口
    ,before: function(obj){
		var item = this.item;
      //预读本地文件示例，不支持ie8
      obj.preview(function(index, file, result){
		$(item).siblings(".layui-upload-list").find('img').attr('src', result); //图片链接（base64）
      });
    }
    ,done: function(res){
      //如果上传失败
      if(res.status > 0){
        return layer.msg(res.msg);
      } else { //上传成功
		var item = this.item;
		$(item).siblings(".iaspcms-siteconfig-input").val( res.msg );
	  }
     
    }
  });
  });
  
layui.use('upload', function(){
  var $ = layui.jquery
  ,upload = layui.upload;
  
  //普通图片上传
  var uploadInst = upload.render({
    elem: '.iaspcms-siteconfig-uploads'
    ,url: '?manage_uploads' //改成您自己的上传接口
    ,before: function(obj){
		var item = this.item;
      //预读本地文件示例，不支持ie8
      obj.preview(function(index, file, result){
		$(item).siblings(".layui-upload-list").find('img').attr('src', result); //图片链接（base64）
      });
    }
    ,done: function(res){
      //如果上传失败
      if(res.status > 0){
        return layer.msg(res.msg);
      } else { //上传成功
		var item = this.item;
		$(item).siblings(".iaspcms-siteconfig-textarea").val( $(item).siblings(".iaspcms-siteconfig-textarea").val() + ',' + res.msg );
	  }
     
    }
  });
  });
</script>